Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SegmentDistance Class Reference

セグメント距離 More...

`#include <SegmentDistance.h>`

List of all members.

## Static Public Member Functions
float | squaredDistance (const Segment &segment, const Vector3 &point)
| 点距離の二乗
float | squaredDistance (const Segment &segment0, const Segment &segment1)
| 距離の二乗
float | squaredDistance (const Segment &segment, const Sphere &sphere)
| 球距離の二乗
float | squaredDistance (const Segment &segment, const Triangle &triangle)
| 三角距離の二乗

## Detailed Description

セグメント距離

Definition at line 38 of file SegmentDistance.h.

## Member Function Documentation

float Lamp::SegmentDistance::squaredDistance | ( | const Segment & | segment,
|  | const Triangle & | triangle
| ) | `[static]`

  | 三角距離の二乗 Parameters:
  segment | セグメント
  triangle | 三角
Returns: 距離の二乗 Definition at line 143 of file SegmentDistance.cpp. References Assert.

float Lamp::SegmentDistance::squaredDistance | ( | const Segment & | segment,
|  | const Sphere & | sphere
| ) | `[static]`

  | 球距離の二乗 Parameters:
  segment | セグメント
  sphere | 球
Returns: 距離の二乗 Definition at line 134 of file SegmentDistance.cpp. References Assert.

float Lamp::SegmentDistance::squaredDistance | ( | const Segment & | segment0,
|  | const Segment & | segment1
| ) | `[static]`

  | 距離の二乗 Parameters:
  segment0 | セグメント
  segment1 | セグメント
Returns: 距離の二乗 Definition at line 57 of file SegmentDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Segment::getDirection(), Lamp::Segment::getOrigin(), and Lamp::Vector3::getSquaredLength().

float Lamp::SegmentDistance::squaredDistance | ( | const Segment & | segment,
|  | const Vector3 & | point
| ) | `[static]`

  | 点距離の二乗 Parameters:
  segment | セグメント
  point | 点
Returns: 距離の二乗 Definition at line 34 of file SegmentDistance.cpp. References Lamp::Vector3::dotProduct(), Lamp::Segment::getDirection(), Lamp::Segment::getOrigin(), and Lamp::Vector3::getSquaredLength().

The documentation for this class was generated from the following files:

- SegmentDistance.h
- SegmentDistance.cpp